import { HLJSApi } from 'highlight.js';
import * as i0 from "@angular/core";
export declare class NgxGistLineNumbersService {
    private readonly document;
    constructor(document: Document);
    private isLoaded;
    load(): Promise<void>;
    private loadHljsLineNumbersLibrary;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxGistLineNumbersService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxGistLineNumbersService>;
}
interface HljsLineNumbersOptions {
    singleLine?: boolean;
    startFrom?: number;
}
declare global {
    interface Window {
        hljs?: HLJSApi & {
            initLineNumbersOnLoad?: (options?: HljsLineNumbersOptions) => void;
            lineNumbersBlock?: (value: Element, options?: HljsLineNumbersOptions) => void;
            lineNumbersValue?: (value: string, options?: HljsLineNumbersOptions) => string;
        };
    }
}
export {};
